import request from '@/utils/request'
//

// 新增/编辑
export function add(data) {
  return request({
    url: '/web/grade',
    method: 'post',
    data: data
  })
}
// 新增/编辑
export function update(data) {
  return request({
    url: '/web/grade',
    method: 'put',
    data: data
  })
}
// 详情
export function getInfo(resourcesId) {
  return request({
    url: '/web/grade/'+resourcesId,
    method: 'get',
  })
}
// 删除
export function remove(resourcesId) {
  return request({
    url: '/web/grade/'+resourcesId,
    method: 'delete',
  })
}
// 导出
export function exportList() {
  return request({
    url: '/web/grade/export',
    method: 'get',
  })
}
// 列表
export function list(params) {
  return request({
    url: '/web/grade/getGradeList',
    method: 'get',
    params:params
  })
}

export function getGridList(params) {
  return request({
    url: '/front/grade/list',
    method: 'get',
    params:params
  })
}

export function getclassList(params) {
  return request({
    url: '/front/classes/list',
    method: 'get',
    params:params
  })
}

export function getAllGradeClasses(params) {
  return request({
    url: '/front/busiClass/getGradeClasses',
    method: 'get',
    params: params
  })
}

export function updateUserGradeAndClasses(data) {
  return request({
    url: 'front/loginUp/updateUserGradeAndClasses',
    method: 'post',
    data: data
  })
}
